#include <bits/stdc++.h>
using namespace std;
int T,N,M,K;
int main(){
  cin>>T;
  for(int k = 1;k<=T;k++){
    cin>>N>>M>>K;
    if(K==1 and M==N){
      cout<<"Nie"<<endl;
    }
    else cout<<"Tak"<<endl;



  }
  return 0;
}

/*
n-broj ucenika
m-broj cokoladica
k-broj grupa
*/